Eclipse Remote Application Platform

## org.eclipse.rap.json
Class JsonObject.Member

    java.lang.Object
      org.eclipse.rap.json.JsonObject.Member

Enclosing class:
  JsonObject

    public static class JsonObject.Member

extends java.lang.Object

Represents a member of a JSON object, i.e. a pair of name and value.

Since:
  2.2

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getName()` Returns the name of this member.
`JsonValue` `getValue()` Returns the value of this member.
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this member.

  Returns:
    the name of this member, never `null`

### getValue

    public JsonValue getValue()

  Returns the value of this member.

  Returns:
    the value of this member, never `null`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0